# Generated by Django 2.2.7 on 2020-01-23 11:30

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("missions", "0013_merge_20191217_1033"),
    ]

    operations = [
        migrations.AlterField(
            model_name="assignment",
            name="confirmed",
            field=models.BooleanField(default=False, verbose_name="Confirmed"),
        ),
        migrations.AlterField(
            model_name="assignment",
            name="email_sent",
            field=models.BooleanField(default=False, verbose_name="Email sent"),
        ),
        migrations.AlterField(
            model_name="assignment",
            name="mission",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="missions.Mission",
                verbose_name="Mission",
            ),
        ),
        migrations.AlterField(
            model_name="assignment",
            name="position",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.PROTECT,
                to="seawatch_registration.Position",
                verbose_name="Position",
            ),
        ),
        migrations.AlterField(
            model_name="defaultassignment",
            name="position",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.PROTECT,
                to="seawatch_registration.Position",
                verbose_name="Position",
            ),
        ),
        migrations.AlterField(
            model_name="defaultassignment",
            name="quantity",
            field=models.IntegerField(verbose_name="Quantity"),
        ),
        migrations.AlterField(
            model_name="defaultassignment",
            name="ship",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="default_assignments",
                to="missions.Ship",
                verbose_name="Ship",
            ),
        ),
        migrations.AlterField(
            model_name="mission",
            name="end_date",
            field=models.DateField(verbose_name="End date"),
        ),
        migrations.AlterField(
            model_name="mission",
            name="name",
            field=models.CharField(max_length=50, verbose_name="Name"),
        ),
        migrations.AlterField(
            model_name="mission",
            name="ship",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="missions.Ship",
                verbose_name="Ship",
            ),
        ),
        migrations.AlterField(
            model_name="mission",
            name="start_date",
            field=models.DateField(verbose_name="Start date"),
        ),
        migrations.AlterField(
            model_name="ship",
            name="name",
            field=models.CharField(max_length=30, verbose_name="Name"),
        ),
    ]
